{% macro element(content) %}
  <div class="bg-info text-white py-5">
    <div class="{{ content.container|default('container') }}">
      <div class="row justify-content-center">
        <div class="col-md-8">
          <div class="cta-component text-center">
            {% if content.title %}
              <h2 class="display-4">{{content.title}}</h2>
            {% endif %}
            {{ caller() }}
            {% if content.ctaUrl and content.ctaText %}
              <p>
                <a href="{{content.ctaUrl}}" class="btn btn-lg {{ content.ctaStyle|default('btn-outline-light') }}">{{content.ctaText}}</a>
              </p>
            {% endif %}
          </div>
        </div>
      </div>
    </div>
  </div>
{% endmacro %}
